### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata.dataexplorer

# Interface DataExplorationConstants

@SASScope("ALL") @BinaryCompatibilityOnly public interface DataExplorationConstants
String constants relevant to the Data Exploration/Bookmarking system.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BOOKMARK_DATAEXPLORATIONID`
  `static final String`
  `BOOKMARK_DATAEXPLORATIONURL`
  `static final String`
  `BOOKMARK_PROPERTY_NAME`
  name of the property object (part of the metadata structures for a bookmark)
  `static final String`
  `BOOKMARK_TEXTROLE`
  `static final String`
  `BOOKMARK_TRANSFORMROLE`
  Transform role for a view : "DataExplorationBookmark"
  `static final String`
  `DATAEXPLORATION_DEFAULT_NAME`
  default for the name of new Data Explorations: blank string (no default)
  `static final int`
  `DATAEXPLORATION_INDEX_ARRAYSIZE`
  index of the "size" field in String arrays for DataExplorations
  `static final int`
  `DATAEXPLORATION_INDEX_ID`
  index of the "id" field in String arrays for DataExplorations
  `static final int`
  `DATAEXPLORATION_INDEX_NAME`
  index of the "Name" field in String arrays for DataExplorations
  `static final String`
  `DATAEXPLORATION_INFORMATIONMAPID`
  `static final String`
  `DATAEXPLORATION_INFORMATIONMAPURL`
  `static final String`
  `DATAEXPLORATION_ISDEFAULT`
  `static final String`
  `DATAEXPLORATION_PROPERTY1_NAME`
  name of the property object, containing Information Map ID and userid
  `static final String`
  `DATAEXPLORATION_PROPERTY2_NAME`
  name of the property object, containing the isDefault value
  `static final String`
  `DATAEXPLORATION_TRANSFORMROLE`
  Transform role for a data exploration: "DataExploration"
  `static final String`
  `DEFAULT_BOOKMARK`
  `static final String`
  `INFORMATION_MAP_PATH_ATTRIBUTE913`
  `static final String`
  `INFORMATION_MAP_PATH_ATTRIBUTE920`
  `static final String`
  `INFORMATION_MAP_PATH_ELEMENT913`
  9.1.3 and 9.2 information map path element and attribute names
  `static final String`
  `INFORMATION_MAP_PATH_ELEMENT920`
  `static final String`
  `INFORMATIONMAP_TRANSFORMROLE`
  `static final String`
  `KEYWORD_DELIMITER`
  Delimiter to use between keywords when they must be entered in a single text field or displayed in a single text field.
  `static final String`
  `LATEST_PERSISTENCE_VERSION`
  `static final String`
  `NAME_PREFIX`
  Name prefix for constructing selectedItemType when type is Bookmark.
  `static final String`
  `PDE_STORAGE`
  Top-level storage location of all users' private data explorations.
  `static final String`
  `PDE_STORAGE_ROOT`
  Root-level storage location of all users' private data explorations.
  `static final String`
  `PDE_STORAGE_SUBFOLDER`
  Lowest level storage location for a user's data explorations.
  `static final String`
  `PROPERTIES`

- ## Field Details

  - ### BOOKMARK_PROPERTY_NAME

    static final String BOOKMARK_PROPERTY_NAME
    name of the property object (part of the metadata structures for a bookmark)
    See Also:
      - Constant Field Values

  - ### BOOKMARK_DATAEXPLORATIONID

    static final String BOOKMARK_DATAEXPLORATIONID
    See Also:
      - Constant Field Values

  - ### BOOKMARK_DATAEXPLORATIONURL

    static final String BOOKMARK_DATAEXPLORATIONURL
    See Also:
      - Constant Field Values

  - ### PROPERTIES

    static final String PROPERTIES
    See Also:
      - Constant Field Values

  - ### DEFAULT_BOOKMARK

    static final String DEFAULT_BOOKMARK
    See Also:
      - Constant Field Values

  - ### BOOKMARK_TRANSFORMROLE

    static final String BOOKMARK_TRANSFORMROLE
    Transform role for a view : "DataExplorationBookmark"
    See Also:
      - Constant Field Values

  - ### BOOKMARK_TEXTROLE

    static final String BOOKMARK_TEXTROLE
    See Also:
      - Constant Field Values

  - ### DATAEXPLORATION_DEFAULT_NAME

    static final String DATAEXPLORATION_DEFAULT_NAME
    default for the name of new Data Explorations: blank string (no default)
    See Also:
      - Constant Field Values

  - ### DATAEXPLORATION_INDEX_ARRAYSIZE

    static final int DATAEXPLORATION_INDEX_ARRAYSIZE
    index of the "size" field in String arrays for DataExplorations
    See Also:
      - Constant Field Values

  - ### DATAEXPLORATION_INDEX_ID

    static final int DATAEXPLORATION_INDEX_ID
    index of the "id" field in String arrays for DataExplorations
    See Also:
      - Constant Field Values

  - ### DATAEXPLORATION_INDEX_NAME

    static final int DATAEXPLORATION_INDEX_NAME
    index of the "Name" field in String arrays for DataExplorations
    See Also:
      - Constant Field Values

  - ### DATAEXPLORATION_PROPERTY1_NAME

    static final String DATAEXPLORATION_PROPERTY1_NAME
    name of the property object, containing Information Map ID and userid
    See Also:
      - Constant Field Values

  - ### DATAEXPLORATION_INFORMATIONMAPID

    static final String DATAEXPLORATION_INFORMATIONMAPID
    See Also:
      - Constant Field Values

  - ### DATAEXPLORATION_INFORMATIONMAPURL

    static final String DATAEXPLORATION_INFORMATIONMAPURL
    See Also:
      - Constant Field Values

  - ### DATAEXPLORATION_PROPERTY2_NAME

    static final String DATAEXPLORATION_PROPERTY2_NAME
    name of the property object, containing the isDefault value
    See Also:
      - Constant Field Values

  - ### DATAEXPLORATION_ISDEFAULT

    static final String DATAEXPLORATION_ISDEFAULT
    See Also:
      - Constant Field Values

  - ### INFORMATIONMAP_TRANSFORMROLE

    static final String INFORMATIONMAP_TRANSFORMROLE
    See Also:
      - Constant Field Values

  - ### DATAEXPLORATION_TRANSFORMROLE

    static final String DATAEXPLORATION_TRANSFORMROLE
    Transform role for a data exploration: "DataExploration"
    See Also:
      - Constant Field Values

  - ### INFORMATION_MAP_PATH_ELEMENT913

    static final String INFORMATION_MAP_PATH_ELEMENT913
    9.1.3 and 9.2 information map path element and attribute names
    See Also:
      - Constant Field Values

  - ### INFORMATION_MAP_PATH_ATTRIBUTE913

    static final String INFORMATION_MAP_PATH_ATTRIBUTE913
    See Also:
      - Constant Field Values

  - ### INFORMATION_MAP_PATH_ELEMENT920

    static final String INFORMATION_MAP_PATH_ELEMENT920
    See Also:
      - Constant Field Values

  - ### INFORMATION_MAP_PATH_ATTRIBUTE920

    static final String INFORMATION_MAP_PATH_ATTRIBUTE920
    See Also:
      - Constant Field Values

  - ### NAME_PREFIX

    static final String NAME_PREFIX
    Name prefix for constructing selectedItemType when type is Bookmark.
    See Also:
      - Constant Field Values

  - ### KEYWORD_DELIMITER

    static final String KEYWORD_DELIMITER
    Delimiter to use between keywords when they must be entered in a single text field or displayed in a single text field.
    See Also:
      - Constant Field Values

  - ### PDE_STORAGE

    static final String PDE_STORAGE
    Top-level storage location of all users' private data explorations. Subfolders will be created in this location for each userid.
    See Also:
      - Constant Field Values

  - ### PDE_STORAGE_ROOT

    static final String PDE_STORAGE_ROOT
    Root-level storage location of all users' private data explorations. This represents the location under BIP Tree for the PDE_STORAGE location. `com.sas.services.information.OMIRepository.BIP_ROOTNAME` is prefixed to PDE_STORAGE.
    See Also:
      - Constant Field Values

  - ### PDE_STORAGE_SUBFOLDER

    static final String PDE_STORAGE_SUBFOLDER
    Lowest level storage location for a user's data explorations. A folder with this name will be created under PDE_STORAGE_ROOT+/userid/.
    See Also:
      - Constant Field Values

  - ### LATEST_PERSISTENCE_VERSION

    static final String LATEST_PERSISTENCE_VERSION
    See Also:
      - Constant Field Values